function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
/* WooCommerce Step Filter App
 * Original author: Alex Troll
 * Further changes, comments: mail@troll-winner.com
 */

(function (root, factory) {
  'use strict';

  if (typeof define === 'function' && define.amd) {
    define(['jquery'], factory);
  } else if ((typeof exports === "undefined" ? "undefined" : _typeof(exports)) === 'object' && typeof module !== 'undefined' && typeof require === 'function') {
    module.exports = factory(require('jquery'));
  } else {
    factory(root.jQuery);
  }
})(this, function ($) {
  'use strict';

  var pluginName = 'wcsf';
  var defaults = {};
  var $document = $(document);
  var Plugin = function Plugin(element, options) {
    this.element = element;
    this.options = $.extend({}, defaults, options);
    return this.init();
  };

  /**
   * Init the instance
   * @returns {this} self instance
   */
  Plugin.prototype.init = function () {
    var _this = this;
    this.$element = $(this.element);
    this.$settings = this.$element.find('[data-component~="wcsf-setting"]');
    this.$source = this.$element.find('#_source');
    this.toggleFields();
    this.$element.on('change', '#_source', function () {
      return _this.toggleFields();
    });
    return this;
  };

  /**
   * Show/hide fields
   * @returns {this} self instance
   */
  Plugin.prototype.toggleFields = function () {
    var sourceType = this.$source.val();
    var sourceVisibilityRules = {
      questions: ['posts'],
      questions_categories: ['categories']
    };

    // toggle settings according to the selected source
    this.$settings.each(function () {
      var $element = $(this);
      if (!sourceVisibilityRules.hasOwnProperty($element.data('key'))) {
        return null;
      }
      var hide = $.inArray(sourceType, sourceVisibilityRules[$element.data('key')]) === -1;
      $element[hide ? 'addClass' : 'removeClass']('is-hidden-by-source');
      return this;
    });
    return this;
  };
  $.fn[pluginName] = function (options) {
    return this.each(function () {
      if (!$.data(this, pluginName)) {
        $.data(this, pluginName, new Plugin(this, options));
      }
    });
  };
  var init = function init() {
    return $('[data-component~="wcsf-filter"]').each(function () {
      return $(this).wcsf();
    });
  };
  $document.ready(function () {
    return init();
  });
  $document.on('init.wcsf', function () {
    return init();
  });
});