<?php
$namespace = 'wcsf';
$componentName = "{$namespace}-sorting";
$defaults = ['values' => []];
$args = array_replace_recursive($defaults, $args);
$modelItem = isset($modelItem) ? $modelItem : [];
$id = md5(serialize($args));

if (!isset($args['values'][$modelItem['key']])) {
    // should exist
    $args['values'][$modelItem['key']] = isset($modelItem['default']) ? (array) $modelItem['default'] : [];
} elseif (!is_array($args['values'][$modelItem['key']])) {
    // should be an array
    $args['values'][$modelItem['key']] = [$args['values'][$modelItem['key']]];
}

$selectedItemsSorted = array_flip((array) $args['values'][$modelItem['key']]);
$selectedItemsSorted = array_filter(array_replace($selectedItemsSorted, (array) $modelItem['values']));
?>
<table class="form-table <?php echo esc_attr($componentName); ?>"
    data-component="<?php echo esc_attr($componentName); ?>">
    <tr>
        <td>
            <input type="hidden" value="" <?php
                echo ($args['asTemplate'] ? 'data-make-' : '') . 'name="' . esc_attr($args['name']) . '" ';
                ?>>
            <select name="<?php echo esc_attr($componentName); ?>-list-<?php echo esc_attr($id); ?>"
                <?php echo $args['id'] ? ' id="' . esc_attr($args['id']) . '" ' : ''; ?>
                data-component="<?php echo esc_attr($componentName); ?>-list" size="10" multiple>
                <?php foreach ((array) $selectedItemsSorted as $key => $value) { ?>
                    <option value="<?php echo esc_attr($key); ?>"
                        title="<?php echo esc_attr($value); ?>"><?php echo esc_html($value); ?></option>
                <?php } ?>
            </select>
            <div data-component="<?php echo esc_attr($componentName); ?>-inputs">
                <?php foreach ((array) $selectedItemsSorted as $key => $value) { ?>
                    <input type="hidden" value="<?php echo esc_attr($key); ?>" <?php
                        echo ($args['asTemplate'] ? 'data-make-' : '') . 'name="' . esc_attr($args['name']) . '[]" ';
                        ?>>
                <?php } ?>
            </div>
        </td>
        <td width="35">
            <button class="button" data-component="<?php echo esc_attr($componentName); ?>-move-up">&#9650;</button>
            <br><br>
            <button class="button" data-component="<?php echo esc_attr($componentName); ?>-move-down">&#9660;</button>
        </td>
    </tr>
</table>
