<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty filter id');
}

use \WCStepFilter\Filter;
use \WCStepFilter\Template;

$arguments = Template::getHTMLArgs([
    'enableValue' => true,
    'activeStepId' => null,
    'steps' => Filter::getSteps($id),
    'resultsType' => Filter::getSetting($id, 'results_within_type'),
    'mode' => 'single-step'
]);

foreach ($arguments['steps'] as $step) {
    Template::html('step', array_replace($arguments, ['step' => $step]));

    if ($arguments['mode'] == 'sequence' && $arguments['activeStepId'] == $step->id) {
        break;
    }
}

if ($arguments['resultsType'] == 'under-steps') {
    Template::html('products/index', $arguments);
}
