<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty filter id');
}

use \WCStepFilter\Filter;
use \WCStepFilter\Template;

$arguments = Template::getHTMLArgs([
    'formId' => null,
    'backButtonText' => Filter::getSetting($id, 'back_button_text'),
    'backButtonClass' => Filter::getSetting($id, 'back_button_class'),
    'prevStepId' => Filter::getPrevActiveStepId($id)
]);
?>
<button class="btn wcsf-control is-back wcsf-back <?php echo esc_attr($arguments['backButtonClass']); ?>"
    type="submit" name="back" value="<?php echo esc_attr($arguments['prevStepId']); ?>"
    form="<?php echo esc_attr($arguments['formId']); ?>"
    data-component="wcsf-back wcsf-get-step"
    data-id="<?php echo esc_attr($arguments['prevStepId']); ?>"><span class="wcsf-control-inner">
        <!--spacer-->
        <?php echo wp_kses_post($arguments['backButtonText']); ?>
        <!--spacer-->
    </span></button><!--spacer-->
