<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty filter id');
}

use \WCStepFilter\Filter;
use \WCStepFilter\Template;

$arguments = Template::getHTMLArgs([
    'formId' => null,
    'nextButtonText' => Filter::getSetting($id, 'next_button_text'),
    'nextButtonClass' => Filter::getSetting($id, 'next_button_class'),
    'nextStepId' => Filter::getNextActiveStepId($id),
    'activeStepId' => Filter::getActiveStepId($id)
]);
?>
<button class="btn wcsf-control is-next wcsf-next <?php echo esc_attr($arguments['nextButtonClass']); ?>"
    type="submit" name="stepId" value="<?php echo esc_attr($arguments['nextStepId']); ?>"
    form="<?php echo esc_attr($arguments['formId']); ?>"
    data-component="wcsf-submit-and-go-next"
    data-id="<?php echo esc_attr($arguments['activeStepId']); ?>"><span class="wcsf-control-inner">
        <!--spacer-->
        <?php echo wp_kses_post($arguments['nextButtonText']); ?>
        <!--spacer-->
    </span></button><!--spacer-->
