<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty filter id');
}

use \WCStepFilter\Filter;
use \WCStepFilter\Template;

$arguments = Template::getHTMLArgs([
    'id' => $id,
    'resultsPdfButtonText' => Filter::getSetting($id, 'results_pdf_button_text'),
    'resultsPdfButtonClass' => Filter::getSetting($id, 'results_pdf_button_class'),
    'wizardArguments' => []
]);

$link = '?wcsf-results-pdf=' . $arguments['id'];

if (!empty($arguments['wizardArguments'])
    && isset($arguments['wizardArguments']['id'], $arguments['wizardArguments']['stepId'])
) {
    $link .= '&wcpw-id=' . $arguments['wizardArguments']['id'] . '&wcpw-step-id='
        . $arguments['wizardArguments']['stepId'];
}
?>
<a class="btn wcsf-control is-results-pdf <?php echo esc_attr($arguments['resultsPdfButtonClass']); ?>"
    href="<?php echo esc_attr($link); ?>"
    target="_blank"><span class="wcsf-control-inner">
        <!--spacer-->
        <?php echo wp_kses_post($arguments['resultsPdfButtonText']); ?>
        <!--spacer-->
    </span></a><!--spacer-->
