<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty filter id');
}

use \WCStepFilter\Filter;
use \WCStepFilter\Template;

$arguments = Template::getHTMLArgs([
    'id' => $id,
    'formId' => null,
    'resultsButtonText' => Filter::getSetting($id, 'results_button_text'),
    'resultsButtonClass' => Filter::getSetting($id, 'results_button_class'),
    'showResultsWithin' => Filter::getSetting($id, 'show_results_within'),
    'resultsWithinType' => Filter::getSetting($id, 'results_within_type'),
    'stepsIds' => Filter::getStepsIds($id)
]);
?>
<button class="btn wcsf-control is-results wcsf-results <?php echo esc_html($arguments['resultsButtonClass']); ?>"
    type="submit" name="results" value="<?php echo esc_attr($arguments['id']); ?>"
    form="<?php echo esc_attr($arguments['formId']); ?>"
    data-component="wcsf-results<?php echo $arguments['showResultsWithin'] ? ' wcsf-submit-and-go-to' : ''; ?>"
    data-id="<?php
    echo $arguments['showResultsWithin'] && $arguments['resultsWithinType'] == 'under-steps'
        ? end($arguments['stepsIds'])
        : 'results';
    ?>"><span class="wcsf-control-inner">
        <!--spacer-->
        <?php echo wp_kses_post($arguments['resultsButtonText']); ?>
        <!--spacer-->
    </span></button><!--spacer-->
