<?php
defined('ABSPATH') || exit;

use \WCStepFilter\Template;

$arguments = Template::getHTMLArgs([
    'formId' => null,
    'question' => null,
    'fields' => []
]);
?>
<ul class="wcsf-fields-list is-chips-radio form-group">
    <?php foreach ($arguments['fields'] as $field) { ?>
        <li class="wcsf-field is-chips-radio<?php
            echo esc_attr(' is-value-' . str_replace(' ', '-', $field->value) . ($field->disabled ? ' disabled' : ''));
            ?>">
            <label class="wcsf-field-label">
                <input type="radio" class="wcsf-field-input" required
                    form="<?php echo esc_attr($arguments['formId']); ?>"
                    data-component="<?php echo esc_attr($field->component); ?>"
                    name="value[<?php echo esc_attr($arguments['question']->id); ?>][]"
                    value="<?php echo esc_attr($field->value); ?>"<?php
                    checked($field->checked);
                    disabled($field->disabled);
                    ?>>
                <span class="wcsf-field-name btn btn-secondary"><?php
                    echo wp_kses_post($field->name);

                    if (isset($field->count)) {
                        echo ' <span class="wcsf-field-count">(' . wp_kses_post($field->count) . ')</span>';
                    }

                    if (isset($field->description) && !empty($field->description)) {
                        echo ' <span class="wcsf-field-description">' . wp_kses_post($field->description) . '</span>';
                    }
                    ?></span>
            </label>
        </li><!--spacer-->
    <?php } ?>
</ul>
