<?php
defined('ABSPATH') || exit;

use \WCStepFilter\Template;

$arguments = Template::getHTMLArgs([
    'formId' => null,
    'question' => null,
    'fields' => []
]);
?>
<input type="hidden" value="" name="value[<?php echo esc_attr($arguments['question']->id); ?>][]"
    form="<?php echo esc_attr($arguments['formId']); ?>">
<?php foreach ($arguments['fields'] as $field) { ?>
    <figure class="wcsf-field is-image-checkbox<?php
        echo esc_attr(' is-value-' . str_replace(' ', '-', $field->value) . ($field->disabled ? ' disabled' : ''));
        ?>"
        style="<?php
        echo esc_attr($arguments['question']->thumbnailWidth
            ? 'max-width:' . $arguments['question']->thumbnailWidth . 'px;'
            : '');
        ?>">
        <label class="wcsf-field-label">
            <input type="checkbox" class="wcsf-field-input"
                form="<?php echo esc_attr($arguments['formId']); ?>"
                data-component="<?php echo esc_attr($field->component); ?>"
                name="value[<?php echo esc_attr($arguments['question']->id); ?>][]"
                value="<?php echo esc_attr($field->value); ?>"<?php
                checked($field->checked);
                disabled($field->disabled);
                ?>>
            <?php
            echo $field->thumbnail
                ? wp_get_attachment_image(
                    $field->thumbnail,
                    $arguments['question']->thumbnailSize,
                    false,
                    ['class' => 'wcsf-field-thumbnail']
                )
                : '';
            ?>
            <span class="wcsf-field-name"><?php
                echo wp_kses_post($field->name);

                if (isset($field->count)) {
                    echo ' <span class="wcsf-field-count">(' . wp_kses_post($field->count) . ')</span>';
                }
                ?></span>
            <?php
            if (isset($field->description) && !empty($field->description)) {
                echo ' <span class="wcsf-field-description">' . wp_kses_post($field->description) . '</span>';
            }
            ?>
        </label>
    </figure>
<?php } ?>
