<?php
defined('ABSPATH') || exit;

use \WCStepFilter\Template;

$arguments = Template::getHTMLArgs([
    'formId' => null,
    'question' => null,
    'fields' => []
]);
?>
<ul class="wcsf-fields-list is-radio form-group">
    <?php foreach ($arguments['fields'] as $field) { ?>
        <li class="wcsf-field is-radio radio form-check custom-control custom-radio<?php
            echo esc_attr(' is-value-' . str_replace(' ', '-', $field->value) . ($field->disabled ? ' disabled' : ''));
            ?>">
            <label class="wcsf-field-label">
                <input type="radio" class="wcsf-field-input form-check-input custom-control-input" required
                    form="<?php echo esc_attr($arguments['formId']); ?>"
                    data-component="<?php echo esc_attr($field->component); ?>"
                    name="value[<?php echo esc_attr($arguments['question']->id); ?>][]"
                    value="<?php echo esc_attr($field->value); ?>"<?php
                    checked($field->checked);
                    disabled($field->disabled);
                    ?>>
                <span class="wcsf-field-name form-check-label custom-control-label"><?php
                    echo wp_kses_post($field->name);

                    if (isset($field->count)) {
                        echo ' <span class="wcsf-field-count">(' . wp_kses_post($field->count) . ')</span>';
                    }
                    ?></span>
                <?php
                if (isset($field->description) && !empty($field->description)) {
                    echo ' <span class="wcsf-field-description">' . wp_kses_post($field->description) . '</span>';
                }
                ?>
            </label>
            <?php
            if (isset($field->children) && !empty($field->children)) {
                Template::html(
                    'fields/radio',
                    array_replace($arguments, ['fields' => $field->children])
                );
            }
            ?>
        </li>
    <?php } ?>
</ul>
