<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty filter id');
}

use \WCStepFilter\Filter;
use \WCStepFilter\Template;

$arguments = Template::getHTMLArgs([
    'controls' => Filter::getSetting($id, 'footer_controls'),
    'stickyFooter' => Filter::getSetting($id, 'sticky_footer')
]);

$isSticky = !in_array($arguments['stickyFooter'], ['0', 'never']);
$class = [];

if ($isSticky) {
    $class[] = 'is-sticky' . (!in_array($arguments['stickyFooter'], ['1', 'always']) ? "-{$arguments['stickyFooter']}" : '');
}
?>
<footer class="wcsf-footer <?php echo esc_attr(implode(' ', $class)); ?>"
    data-component="wcsf-footer<?php echo $arguments['stickyFooter'] ? ' wcsf-sticky-observer' : ''; ?>"><?php
    Template::html('controls/index', $arguments);
    ?></footer>
