<?php
defined('ABSPATH') || exit;

use \WCStepFilter\Template;

$arguments = Template::getHTMLArgs([
    'formId' => null,
    'class' => '',
    'state' => '',
    'action' => '',
    'id' => '',
    'name' => '',
    'toggleMobileNavOn' => 'sm'
]);

if (!$arguments['toggleMobileNavOn']) {
    return;
}
?>
<button class="wcsf-nav-button btn btn-default btn-light btn-block <?php
    echo esc_attr($arguments['class'] . " d-{$arguments['toggleMobileNavOn']}-none");
    ?>"<?php disabled($arguments['state'], 'disabled'); ?>
    role="tab" type="<?php echo esc_attr($arguments['type']); ?>" name="stepId"
    value="<?php echo esc_attr($arguments['id']); ?>"
    form="<?php echo esc_attr($arguments['formId']); ?>"
    data-component="<?php echo esc_attr($arguments['component']); ?>"
    data-id="<?php echo esc_attr($arguments['id']); ?>"><?php
    echo $arguments['thumbnail']
        ? wp_get_attachment_image(
            $arguments['thumbnail'],
            'thumbnail',
            false,
            ['class' => 'wcsf-nav-button-thumbnail']
        ) . ' '
        : '';
    ?><span class="wcsf-nav-button-inner"><?php echo wp_kses_post($arguments['name']); ?></span></button>
