<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty filter id');
}

use \WCStepFilter\Filter;
use \WCStepFilter\Template;

$arguments = Template::getHTMLArgs([
    'resetButtonText' => Filter::getSetting($id, 'shop_reset_button_text'),
    'resetButtonClass' => Filter::getSetting($id, 'shop_reset_button_class'),
    'resetButtonLink' => Filter::getSetting($id, 'results_url')
]);

// if the settings is empty
if (!$arguments['resetButtonLink']) {
    $arguments['resetButtonLink'] = get_permalink(wc_get_page_id('shop'));
}

// if URL is absolute
if (strpos($arguments['resetButtonLink'], home_url()) === false) {
    $arguments['resetButtonLink'] = home_url() . '/' . $arguments['resetButtonLink'];
}
?>
<a class="btn wcsf-control is-shop-reset wcsf-shop-reset <?php echo esc_attr($arguments['resetButtonClass']); ?>"
    href="<?php echo esc_url($arguments['resetButtonLink']); ?>"><span class="wcsf-control-inner">
        <!--spacer-->
        <?php echo wp_kses_post($arguments['resetButtonText']); ?>
        <!--spacer-->
    </span></a><!--spacer-->
