<?php
defined('ABSPATH') || exit;

$id = isset($id) ? $id : null;

if (!$id) {
    throw new Exception('Empty filter id');
}

use \WCStepFilter\Filter;
use \WCStepFilter\Template;

$arguments = Template::getHTMLArgs([
    'valueList' => Filter::getValueList($id),
    'enableShopValue' => Filter::getSetting($id, 'enable_shop_value')
]);

if (empty($arguments['valueList']) || !$arguments['enableShopValue']) {
    return;
}

do_action('wcsf_before', $arguments);
?>
<ul class="wcsf wcsf-shop-value wcsf-value">
    <?php foreach ($arguments['valueList'] as $item) { ?>
        <li class="wcsf-value-item">
            <span class="wcsf-value-item-check"></span>
            <!--spacer-->
            <span class="wcsf-value-item-name"><?php echo wp_kses_post($item->name); ?>:</span>
            <!--spacer-->
            <span class="wcsf-value-item-value"><?php echo wp_kses_post($item->value); ?></span>
        </li>
    <?php } ?>
</ul>
<?php do_action('wcsf_after', $arguments); ?>
